html {
    scrollbar-width: thin;
    /* "auto" or "thin" */
    scrollbar-color: var(--red-secondary) var(--mainTextColor);
    /* scroll thumb and track */
    font-size: 16px;
    background-color: var(--background-main);
    text-decoration: none;
    display: flex;
    justify-content: center;
    scroll-behavior: smooth;
    /*Colors*/
    --background-main: #19091a;
    --blue-secondary: #347;
    --red-secondary: rgb(221, 74, 95);
    --mainTextColor: #ececec;
    --anime-color: rgba(221, 74, 95, 0.3);
    --startAnimation: 3s color: var(--mainTextColor);
}

/* Works on Chrome, Edge, and Safari */
html::-webkit-scrollbar {
    width: .5rem;
}

html::-webkit-scrollbar-track {
    background: white;
}

html::-webkit-scrollbar-thumb {
    background-color: var(--red-secondary);
    border-radius: 1.5rem;
}

/*Text selection*/
::selection,
::-moz-selection {
    color: var(--red-secondary);
}

body {
    font-family: 'Playfair Display', 'Archivo', sans-serif;
    margin: 0;
    width: 80%;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
}


canvas {
    position: fixed;
    z-index: -1;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

@keyframes TextFadeAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.button-text {
    font-size: 2rem;
    opacity: 0;
    animation: .8s UpAnimation 5s linear forwards;
    cursor: grab;
    color: var(--blue-secondary);
    align-self: flex-end;
    display: flex;
    flex-flow: column nowrap;
}

.button-text::after {
    color: var(--blue-secondary);
    content: "";
    transition: .2s all linear;
    width: 0;
    margin: 0 auto;
    height: 2px;
    display: block;
    background-color: var(--blue-secondary);
}

.button-text:hover::after,
.button-text:active::after,
.button-text:focus::after {
    width: 100%;
}

/*--------------------------------------------- Main General Settings and Custom Cursor ----------------------------------------*/
.section-header {
    color: white;
    text-align: center;
    padding-bottom: 2rem;
    font-size: 4rem;
    line-height: 4.5rem;
    font-family: Archivo;
}

.link {
    text-decoration: underline;
    color: var(--red-secondary);
    cursor: grab;
    margin: 0;
    width: fit-content;
    transition: color .6s ease-in-out;
}

/*Back Button*/
#back-to-top {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: var(--red-secondary);
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    border-radius: 50%;
    border: none;
    z-index: 3;
    cursor: grab;
    width: 4rem;
    height: 4rem;
    animation: ripple 1.5s linear infinite;
    transition: all 0.7s ease;
}

@keyframes ripple {
    0% {
        box-shadow: 0 0 0 0 var(--anime-color),
            0 0 0 .0625rem var(--anime-color),
            0 0 0 .125rem var(--anime-color),
            0 0 0 .25rem var(--anime-color);
    }

    100% {
        box-shadow: 0 0 0 0 var(--anime-color),
            0 0 0 0.25rem var(--anime-color),
            0 0 0 0.875rem var(--anime-color),
            0 0 0 1.25rem var(--anime-color);
    }
}


.link:hover,
.link:focus,
.link:active {
    color: var(--blue-secondary);
}

/*Class for hover of custom cursor*/
.hoverText {
    color: #fff !important;
    transition: all 1s ease-in-out;
    display: flex;
    align-items: center;
}

@media screen and (min-width:2000px) {
    html {
        font-size: 35px;
    }
}

@media screen and (min-width:360px) and (max-width:700px) {
    html {
        font-size: 10px;
    }

    :root {
        --side: 8rem;
    }

    #navbar {
        perspective: 20rem;
    }
}

@media screen and (min-width: 700px) and (max-width:1000px) {
    html {
        font-size: 13px;
    }
}